 2407 Vagrant Cascadian	2012-11-19
      ltsp_config.d/20fatclients: Explicitly "return 0" if LTSP_FATCLIENT is set, 
      otherwise it returns a value which can cause errors if sourced from a script 
      that exits on errors (i.e. with "set -e" flags set).

=== modified file 'client/share/ltsp/ltsp_config.d/20fatclients'
--- old/client/share/ltsp/ltsp_config.d/20fatclients	2012-04-25 16:54:14 +0000
+++ new/client/share/ltsp/ltsp_config.d/20fatclients	2012-11-19 18:59:13 +0000
@@ -1,6 +1,6 @@
 # Automatically set LTSP_FATCLIENT=True if the image supports local logins
-test -z "$LTSP_FATCLIENT" || return
-test -f /proc/meminfo || return
+test -z "$LTSP_FATCLIENT" || return 0
+test -f /proc/meminfo || return 0
 
 # process_lts_conf() unsets glob expansion (set -f), so we need to use `find`
 # blacklist Xsession.desktop (installed by xinit on Gentoo)

